QXmpp: QXmppPubSubSubAuthorization Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppPubSubSubAuthorization Class Reference
Inheritance diagram for QXmppPubSubSubAuthorization:

## Public Member Functions
| QXmppPubSubSubAuthorization (const QXmppPubSubSubAuthorization &)
| Copy-constructor.
| QXmppPubSubSubAuthorization (QXmppPubSubSubAuthorization &&)
| Move-constructor.
QXmppPubSubSubAuthorization & | operator= (const QXmppPubSubSubAuthorization &)
| Assignment operator.
QXmppPubSubSubAuthorization & | operator= (QXmppPubSubSubAuthorization &&)
| Move-assignment operator.
std::optional< bool > | allowSubscription () const
void | setAllowSubscription (std::optional< bool > allowSubscription)
QString | node () const
void | setNode (const QString &node)
QString | subscriberJid () const
void | setSubscriberJid (const QString &subscriberJid)
QString | subid () const
void | setSubid (const QString &subid)
Public Member Functions inherited from QXmppExtensibleDataFormBase
QList< QXmppDataForm::Field > | unknownFields () const
void | setUnknownFields (const QList< QXmppDataForm::Field > &unknownFields)
Public Member Functions inherited from QXmppDataFormBase
virtual QXmppDataForm | toDataForm () const

## Static Public Member Functions
static std::optional< QXmppPubSubSubAuthorization > | fromDataForm (const QXmppDataForm &)

## Protected Member Functions
QString | formType () const override
bool | parseField (const QXmppDataForm::Field &) override
void | serializeForm (QXmppDataForm &) const override
Protected Member Functions inherited from QXmppExtensibleDataFormBase
void | parseForm (const QXmppDataForm &) override
Protected Member Functions inherited from QXmppDataFormBase
std::optional< quint32 > | parseUInt (const QVariant &variant)
std::optional< quint64 > | parseULongLong (const QVariant &variant)
std::optional< bool > | parseBool (const QVariant &variant)

## Additional Inherited Members
Static Protected Member Functions inherited from QXmppDataFormBase
static bool | fromDataForm (const QXmppDataForm &form, QXmppDataFormBase &parent)
template<typename T>
static void | serializeValue (QXmppDataForm &form, QXmppDataForm::Field::Type type, const QString &name, const T &value)
template<typename T>
static void | serializeNullable (QXmppDataForm &form, QXmppDataForm::Field::Type type, QStringView name, const T &value)
template<typename T>
static void | serializeEmptyable (QXmppDataForm &form, QXmppDataForm::Field::Type type, QStringView name, const T &value)
template<typename T, typename ValueConverter = T (*)(T)>
static void | serializeOptional (QXmppDataForm &form, QXmppDataForm::Field::Type type, QStringView name, const std::optional< T > &optional, ValueConverter convert=[](T a) { return a;})
template<typename T>
static void | serializeOptionalNumber (QXmppDataForm &form, QXmppDataForm::Field::Type type, QStringView name, std::optional< T > optional)
static void | serializeDatetime (QXmppDataForm &form, const QString &name, const QDateTime &datetime, QXmppDataForm::Field::Type type=QXmppDataForm::Field::TextSingleField)

## Detailed Description

This class represents a PubSub subscribe authorization data form.

Since
  QXmpp 1.5

## Member Function Documentation

## ◆ allowSubscription()

std::optional< bool > QXmppPubSubSubAuthorization::allowSubscription | ( |  | ) | const

Returns whether the subscription is allowed.

## ◆ formType()

QString QXmppPubSubSubAuthorization::formType | ( |  | ) | const
| overrideprotectedvirtual

Returns the 'FORM_TYPE' value of the parsed form.

Implements QXmppDataFormBase.

## ◆ fromDataForm()

std::optional< QXmppPubSubSubAuthorization > QXmppPubSubSubAuthorization::fromDataForm | ( | const QXmppDataForm & | form | ) |
| static

Tries to parse a PubSub subscribe authorization form from a plain data form.

Returns
  The parsed data form on success.

## ◆ node()

QString QXmppPubSubSubAuthorization::node | ( |  | ) | const

Returns the node name of the relevant node.

## ◆ parseField()

bool QXmppPubSubSubAuthorization::parseField | ( | const QXmppDataForm::Field & |  | ) |
| overrideprotectedvirtual

Returns true if a field has been parsed.

Should be reimplemented to do actual parsing. All fields that can't be parsed end up as unknownFields().

Reimplemented from QXmppExtensibleDataFormBase.

## ◆ serializeForm()

void QXmppPubSubSubAuthorization::serializeForm | ( | QXmppDataForm & |  | ) | const
| overrideprotectedvirtual

This is called the object is serialized to a QXmppDataForm. You need to create a new QXmppDataForm and serialize all fields and values.

Reimplemented from QXmppExtensibleDataFormBase.

## ◆ setAllowSubscription()

void QXmppPubSubSubAuthorization::setAllowSubscription | ( | std::optional< bool > | allowSubscription | ) |

Sets whether the subscription is allowed.

## ◆ setNode()

void QXmppPubSubSubAuthorization::setNode | ( | const QString & | node | ) |

Sets the node name of the relevant node.

## ◆ setSubid()

void QXmppPubSubSubAuthorization::setSubid | ( | const QString & | subid | ) |

Sets the subscription ID associated with the subscription request.

## ◆ setSubscriberJid()

void QXmppPubSubSubAuthorization::setSubscriberJid | ( | const QString & | subscriberJid | ) |

Sets the JID of the user requesting to subscribe.

## ◆ subid()

QString QXmppPubSubSubAuthorization::subid | ( |  | ) | const

Returns the subscription ID associated with the subscription request.

## ◆ subscriberJid()

QString QXmppPubSubSubAuthorization::subscriberJid | ( |  | ) | const

Returns the JID of the user requesting to subscribe.

The documentation for this class was generated from the following files:

- QXmppPubSubSubAuthorization.h
- QXmppPubSubSubAuthorization.cpp